# Test: Extra top-level keys beyond 'agent'
# Expected: FAIL
# Error code: unrecognized_keys
# Error path: 
# Error keys: ["extra_key", "another_extra"]

agent:
  metadata:
    id: extra-test
    name: Extra Test Agent
    title: Extra Test
    icon: 🧪
    hasSidecar: false

  persona:
    role: Test agent
    identity: Test identity
    communication_style: Test style
    principles:
      - Test principle

  menu:
    - trigger: help
      description: Show help
      action: display_help

extra_key: This should not be allowed
another_extra: Also invalid
